onEvent("recipes", event => {
  event.remove({output: 'envirocore:laser_core'})
  event.shaped(Item.of('envirocore:laser_core'), [
    'OIO',
    'IPI',
    'OIO' 
  ], {
    O: 'envirocore:obsidian_plate',
    P: 'pneumaticcraft:plastic',
    I: 'minecraft:iron_ingot'
  })

  event.remove({id: 'immersiveengineering:crafting/plate_steel_hammering'})
  
  event.remove({output: 'immersiveengineering:steel_scaffolding_standard'})
  event.shaped(Item.of('6x immersiveengineering:steel_scaffolding_standard'), [
    'SSS',
    ' I ',
    'I I' 
  ], {
    S: 'immersiveengineering:plate_steel',
    I: 'immersiveengineering:stick_steel'
  })

  removePlate = (item) => {
    event.remove({id: `immersiveengineering:crafting/plate_${item}_hammering`})
  }

  const plates = ['electrum', 'silver', 'lead', 'copper', 'iron', 'gold', 'constantan', 'nickel']

  plates.forEach(plate => removePlate(plate))

  event.recipes.immersiveengineeringMetalPress('thermal:signalum_plate', 'thermal:signalum_ingot', 'immersiveengineering:mold_plate')
  event.recipes.immersiveengineeringMetalPress('thermal:enderium_plate', 'thermal:enderium_ingot', 'immersiveengineering:mold_plate')
  event.recipes.immersiveengineeringMetalPress('thermal:lumium_plate', 'thermal:lumium_ingot', 'immersiveengineering:mold_plate')

  event.remove({id: 'immersiveengineering:crafting/component_iron'})
  event.remove({id: 'immersiveengineering:crafting/component_steel'})

})